'''Setup'''
import os
import subprocess
from pathlib import Path

from setuptools import setup

this_directory = Path(__file__).parent
long_description = (this_directory / "README.md").read_text()

# Set a reasonable umask.
os.umask(0o022)
# Make all local files readable and all directories listable.
subprocess.call(['chmod', '-R', 'a+rX', '.'])

setup(
    name="downitall_android",
    version='1',
    description='A cli to download and stream all kind of media',
    long_description=long_description,
    long_description_content_type='text/markdown',
    author='Behram Akhtar/Aatiho Nora',
    author_email='behramakhtar@gmail.com',
    packages=['downitall_android', 'downitall_android.resources'],  #same as name
    package_data={'': ['LICENCES.txt', 'vlc']},
    include_package_data=True,
    install_requires=['requests', 'bs4', 'selenium==4.9.1', 'cbz-generator', 'tqdm', 'gdown', 'term-image', 'questionary', 'yt-dlp', 'xdcc-dl', 'streamlink', 'm3u-ipytv'], #external packages as dependencies
    scripts=['bin/downitall', 'bin/vlc'],
)
